#### ENCRYPT

#### Synopsis

    HELP:   Encryption procedure [NONE]
    TYPE:   OVERLAY
    SYNTAX: ENCRYPT/ENC.{PGP()/PWD()/EDC()}

#### Description

The overlay 'encrypt' allows you to choose which kind of encryption method is used for the data. Depending on the encryption method, different parameters can be set.

If no encryption method is selected, then no data encryption will be done.

Example: ASCII armor encoding (using the system character set) for encrypted OpenPGP file, previously deflated and prepared for usage on a CP1252-based Windows system.

     flcl conv
       read.auto(file='~.TEST.FBA' ccsid=IBM500)
       write.text(file='~/test.txt.gz.pgp.a64' ccsid=CP1252 method=Windows
                  comp.gzip()
                  encrypt.pgp(userid='receiver.name' fkm5() armor())

See below for the encryption possibilities.